OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Shape Class Reference

A Shape is associated in the framework with :
a NamedShape attribute
.

`#include <TDataStd_Shape.hxx>`

Inheritance diagram for TDataStd_Shape:

[legend]

## Public Member Functions
Standard_EXPORT | TDataStd_Shape ()
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoattribute>. The given pasted attribute can be full or empty of its contents. But don't make a NEW! Just set the contents! It is possible to use <arelocationtable> to get/set the relocation value of a source attribute. .
virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&DS) const
| Adds the first level referenced attributes and labels to <adataset>. For this, use the AddLabel or AddAttribute of DataSet. If there is none, do not implement the method. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Standard_Boolean | Find (const TDF_Label &current, Handle(TDataStd_Shape)&S)
| class methods ============= //! try to retrieve a Shape attribute at <current> label or in fathers label of <current>. Returns True if found and set <s>.
static Standard_EXPORT Handle_TDataStd_Shape | New (const TDF_Label &label)
| Find, or create, a Shape attribute. the Shape attribute is returned. Raises if <label> has attribute. .
static Standard_EXPORT Handle_TDataStd_Shape | Set (const TDF_Label &label, const TopoDS_Shape &shape)
| Create or update associated NamedShape attribute. the Shape attribute is returned. .
static Standard_EXPORT TopoDS_Shape | Get (const TDF_Label &label)
| the Shape from associated NamedShape attribute is returned.
static Standard_EXPORT const Standard_GUID & | GetID ()
| Shape methods ============ .

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Shape::TDataStd_Shape | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_Shape::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT Standard_Boolean TDataStd_Shape::Find | ( | const TDF_Label & | current,
|  | Handle(TDataStd_Shape)& | S
| ) | `[static]`

static Standard_EXPORT TopoDS_Shape TDataStd_Shape::Get | ( | const TDF_Label & | label | ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDataStd_Shape::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Shape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Shape::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_Shape TDataStd_Shape::New | ( | const TDF_Label & | label | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TDataStd_Shape::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Shape::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TDataStd_Shape::References | ( | const Handle(TDF_DataSet)& | DS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT void TDataStd_Shape::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_Shape TDataStd_Shape::Set | ( | const TDF_Label & | label,
|  | const TopoDS_Shape & | shape
| ) | `[static]`

The documentation for this class was generated from the following file:

- TDataStd_Shape.hxx